package cn.estsh.i3plus.pojo.ptl.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author adair.song
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_MAIN_TASK_DETAIL")
@EqualsAndHashCode(callSuper = true)
@Api("主任务明细")
public class PtlMainTaskDetail extends BaseBean implements Serializable {
    private static final long serialVersionUID = 7144785793974319897L;

    @Column(name = "TASK_NO")
    @ApiParam("主任务编号")
    private String taskNo;

    @Column(name = "PART_NO")
    @ApiParam("产品物料号")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("产品物料名称")
    private String partName;

    @Column(name = "QTY")
    @ApiParam("数量")
    private Integer qty;

    @Column(name = "PART_CATEGORY")
    @ApiParam("物料种类")
    private Integer partCategory;

}
