package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description 家具类型实体
 * @Reference
 * @Author dragon
 * @CreateDate 2020/2/20 10:42
 * @Modify
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_FURNITURE_TYPE")
@Api("家具类型表")
public class WmsFurnitureType extends BaseBean {
    private static final long serialVersionUID = 3573734032905328327L;

    @Column(name = "TYPE_CODE")
    @ApiParam(value = "类型编号")
    private String typeCode;

    @Column(name = "TYPE_NAME")
    @ApiParam(value = "类型名称")
    private String typeName;

    @Column(name = "FNT_LENGTH", columnDefinition = "decimal(18,8)")
    @ApiParam(value = "长")
    private Double fntLength;

    @Column(name = "FNT_WIDTH", columnDefinition = "decimal(18,8)")
    @ApiParam(value = "宽")
    private Double fntWidth;

    @Column(name = "FNT_HEIGHT", columnDefinition = "decimal(18,8)")
    @ApiParam(value = "高")
    private Double fntHeight;

    @Column(name = "STOREY")
    @ApiParam(value = "层")
    private Integer storey;

    @Column(name = "FNT_COL")
    @ApiParam(value = "列")
    private Integer fntCol;

    @Column(name = "IS_SAVE_GOODS")
    @ApiParam(value = "是否储物")
    private Integer isSaveGoods;

    public Double getFntLengthVal() {
        return this.fntLength == null ? 0 : this.fntLength.doubleValue();
    }
    public Double getFntWidthVal() {
        return this.fntWidth == null ? 0 : this.fntWidth.doubleValue();
    }
    public Double getFntHeightVal() {
        return this.fntHeight == null ? 0 : this.fntHeight.doubleValue();
    }

}
